Subject: Re: [Bitcoin-development] Proposal: Encrypt bitcoin messages

From: William Yager <[email-masked]>
Date: Sat, 23 Aug 2014 13:22:27 -0500

On Sat, Aug 23, 2014 at 12:50 PM, Troy Benjegerdes <[email-masked]> wrote:

>  they can hire a hacker who will
> find a misplaced (} in your crypto code, and all the work you did to
> encrypt wire protocols becomes silently worthless.
>

Not to mention encrypting basically non-sensitive inter-node traffic is
almost completely worthless in providing anonymity anyway...

Seriously, I have not heard a strong justification for this proposal yet. I
have heard some people talking about Tor-ifying communications, but that is
a completely different issue and should not be confused with just
"encrypting bitcoin messages".